Skip to navigation

Check status of Salesforce document export task

View as Markdown

The ID is returned by the salesforceContentDocumentExportTask POST method.

Note: To call this endpoint, you must be a Salesforce user.

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

taskidstringRequiredformat: "uuid"
ID of SalesforceContentDocumentExportTask
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Response

OK
SfObjectIdstringOptional

[Required] Id of the parent Salesforce object.

SfContentDocumentIdstringOptional

[Optional] Id of the Salesforce content document to version

NamestringOptional

[Optional] Name of the document. If not specified SpringCM Document name will be used.

FormatstringOptional

[Optional] Document format of the document. If not specified native format name will be used.

SfContentVersionIdstringOptional
Id of the created Salesforce ContentVersion.
MessagestringOptional
The status of the task
StatusstringOptional
Current status of the asynchronous task
HrefstringOptional
Uri where the object can be retrieved.
DocumentobjectOptional

[Required] Document to upload into Salesforce